aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-dbix-class/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/perl-dbix-class/APKBUILD')
-rw-r--r--testing/perl-dbix-class/APKBUILD53
1 files changed, 53 insertions, 0 deletions
diff --git a/testing/perl-dbix-class/APKBUILD b/testing/perl-dbix-class/APKBUILD
new file mode 100644
index 0000000000..a029b0e114
--- /dev/null
+++ b/testing/perl-dbix-class/APKBUILD
@@ -0,0 +1,53 @@
+# Automatically generated by apkbuild-cpan, template 2
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-dbix-class
+_pkgreal=DBIx-Class
+pkgver=0.082840
+pkgrel=0
+pkgdesc="Extensible and flexible object <-> relational mapper."
+url="http://search.cpan.org/dist/DBIx-Class/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-path-class perl-namespace-clean perl-context-preserve perl-try-tiny perl-devel-globaldestruction perl-mro-compat perl-sql-abstract perl-class-c3-componentised perl-sub-name perl-class-inspector perl-config-any perl-module-find perl-dbi perl-data-dumper-concise perl-class-accessor-grouped perl-scope-guard perl-moo perl-hash-merge perl-data-page"
+cpanmakedepends="perl-package-stash perl-test-exception perl-test-deep perl-dbd-sqlite perl-test-warn"
+cpancheckdepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+checkdepends="$cpancheckdepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RI/RIBASUSHI/$_pkgreal-$pkgver.tar.gz
+ 0001-Fix-for-upcoming-not-yet-available-via-DBD-SQLite-li.patch
+ 0002-sqlite-3.14.patch
+ "
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+check() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make test
+}
+
+sha512sums="0ae0c724c57cd2b62b9d711633bfc2ba4320c15f6e9d0253381c9ffae495355e32888ec87d6a85c85000d434cedb51789f4b7807da157de8b08723333b66a0d2 DBIx-Class-0.082840.tar.gz
+37ab4f90b3595adc5376d903c7b0408679c0915125e0973d3fcd7e3d41423112eff736ee653b7fd3146b53c1fd283b82fd10fbcf8b767e30ddab9f1d63cd2c7f 0001-Fix-for-upcoming-not-yet-available-via-DBD-SQLite-li.patch
+f6d1d879d9787992ef8f52719720cbcbf1eae8be654a488d3d601eac7f0b2a91feb0c8d3c2ee62dfa628dfacf6656b76572e0472daeaa63a034bcebefc17a254 0002-sqlite-3.14.patch"